
/* space.h

The following data structure(s) are for allocating the underlying data
storage for the specified form(s) in your application.

The typedef name for each form's data structure is the form name in capital
letters.  The data structure has a member for each item (field, memo, or
scrollable region) on the form; the member name is the name of the item.  The
member for a scroll region is an array of the data structure for the scroll
region (the structure has a member for each of its fields).  Members are not
included if the OMITFROMSTRUCT option is turned ON for that particular item.

This file was created: 27-Sep-90   11:19:44

*/


typedef struct			    /* Data form data structure 	      */
{
    UCHAR transport[26];
} TRANSPORT_FORM;


typedef struct			    /* Data form data structure 	      */
{
    UCHAR destination[26];
} OTHER_DEST_FORM;


typedef struct			    /* Scroll region data structure	      */
{
    UCHAR description[38];
    UCHAR quantity[9];
} SUPPLIES;


typedef struct			    /* Data form data structure 	      */
{
    SUPPLIES supplies[20];	    /* For scroll region on form	      */
} SUPPLY_FORM;


typedef struct			    /* Scroll region data structure	      */
{
    UCHAR name[21];
    UCHAR species[21];
    UCHAR idno[7];
} GENERAL_STAFF;


typedef struct			    /* Data form data structure 	      */
{
    UCHAR scofficer[33];
    UCHAR comofficer[33];
    UCHAR navigator[33];
    UCHAR pilot[33];
    UCHAR warlord[33];
    GENERAL_STAFF general_staff[20];/* For scroll region on form	      */
} CREW_FORM;


typedef struct			    /* Data form data structure 	      */
{
    UCHAR missioncom[27];
    UCHAR transport[26];
    UCHAR destination[26];
    UCHAR speedunit[22];
    UCHAR speed[22];
    UCHAR missionpurpose[1520];
    GENERAL_STAFF general_staff[20];/* For scroll region on form	      */
    SUPPLIES supplies[20];	    /* For scroll region on form	      */
} SUMMARY_FORM;

